SHUTDOWN(2)

NAME
shutdown - shut down part of a full-duplex connection

SYNOPSIS
shutdown(s, how)
int s, how;

DESCRIPTION
The shutdown call causes all or part of a full-duplex connection on the socket associated with s to be shut down. If how is 0, then further receives will be disallowed. If how is 1, then further sends will be disallowed. If how is 2, then further sends and receives will be disallowed.

DIAGNOSTICS
A 0 is returned if the call succeeds, -1 if it fails.

ERRORS
The call succeeds unless:

[EBADF]
    S is not a valid descriptor.

[ENOTSOCK]
    S is a file, not a socket.

[ENOTCONN]
    The specified socket is not connected.

SEE ALSO
connect(2), socket(2)